import { EventEmitter, OnChanges } from "@angular/core";
import { UIListModel } from "e5core-angular-services";
import { CategorizationChangeEvent } from "../../../events/categorization-change-event";
export declare class E5coreUiCategorizationBase implements OnChanges {
    categorization: number[];
    labels: string[];
    readonly: boolean;
    cat1List: UIListModel[];
    cat2List: UIListModel[];
    cat3List: UIListModel[];
    hideToLevel: number;
    catChange: EventEmitter<CategorizationChangeEvent>;
    cat1Value: string;
    cat2Value: string;
    cat3Value: string;
    onChange(): void;
    ngOnChanges(): void;
}
