import { OnInit, EventEmitter } from '@angular/core';
import { BehaviorSubject } from 'rxjs';
import { WorkItemModel } from '../../../models/work-item';
import { FileUploadModel } from '../../../models/file-upload.model';
export declare class E5coreUiFileUploadPrimeComponent implements OnInit {
    workItem$: BehaviorSubject<WorkItemModel>;
    fileUpload$: BehaviorSubject<FileUploadModel>;
    uploadToUrl: string;
    acceptedFileExtensions: string;
    maxFileSize: string;
    uploadEvent: EventEmitter<{}>;
    uploadedFiles: any[];
    constructor();
    ngOnInit(): void;
    onBeforeUpload(event: any): void;
    onUploadSuccess(event: any): void;
    onUploadError(event: any): void;
}
