import { OnInit, AfterViewInit, EventEmitter } from "@angular/core";
import { ViewerModel } from "../../../models/viewer-model";
import { E5ConfigurationService } from "e5core-angular-services";
import { ViewerBehaviourType } from "../../../enums/viewer-behaviour-type";
import { ViewerDisplayEvent } from "../../../events/viewer-display-event";
export declare class E5coreUiAttachmentViewerBaseComponent implements AfterViewInit, OnInit {
    e5ConfigurationService: E5ConfigurationService;
    behaviourType: ViewerBehaviourType;
    popupWindowFeatures: string;
    readonly: boolean;
    viewerDisplayedEvent: EventEmitter<ViewerDisplayEvent>;
    attachmentUrl: string;
    constructor(e5ConfigurationService: E5ConfigurationService);
    ngOnInit(): void;
    ngAfterViewInit(): void;
    showInlineViewer(viewerModel: ViewerModel): void;
    showPopViewer(viewerModel: ViewerModel): void;
    performWindowPopup(viewerModel: ViewerModel, attachmentUrl: string): void;
    constructViewerUrl(viewerModel: ViewerModel, nextFunction: Function): void;
    raiseEvent(viewerModel: ViewerModel): void;
}
