import { AfterViewInit, OnInit, EventEmitter, QueryList } from "@angular/core";
import { ViewerBehaviourType } from "../../enums/viewer-behaviour-type";
import { ViewerModel } from "../../models/viewer-model";
import { AttachmentViewerType } from "../../enums/attachment-viewer-type";
import { E5coreUiAttachmentViewerBaseComponent } from "./component/e5core-ui-attachment-viewer-base";
import { ViewerDisplayEvent } from "../../events/viewer-display-event";
export declare class E5coreUiWorkAttachmentViewerComponent implements AfterViewInit, OnInit {
    viewerType: AttachmentViewerType;
    behaviourType: ViewerBehaviourType;
    popupWindowFeatures: string;
    readonly: boolean;
    viewerDisplayedEvent: EventEmitter<ViewerDisplayEvent>;
    attachmentViewerComponents: QueryList<E5coreUiAttachmentViewerBaseComponent>;
    constructor();
    ngOnInit(): void;
    ngAfterViewInit(): void;
    showViewer(viewerModel: ViewerModel): void;
    onViewerDisplayed(event: any): void;
}
