import { OnInit, EventEmitter } from '@angular/core';
import { DiariseOptionModel } from '../../../models/diarise-option.model';
import { DiariseOptionClickEvent } from '../../../events/diarise-option-click-event';
import { DiariseReasonModel } from '../../../models/diarise-reason.model';
import { DiariseWorkEvent } from '../../../events/diarise-work-event';
export declare class E5coreUiWorkDiariseBaseComponent implements OnInit {
    private locale;
    periodChange: EventEmitter<DiariseOptionClickEvent>;
    diariseWork: EventEmitter<DiariseWorkEvent>;
    reasonTextChange: EventEmitter<DiariseWorkEvent>;
    reasonChange: EventEmitter<DiariseWorkEvent>;
    dateChange: EventEmitter<DiariseWorkEvent>;
    timeChange: EventEmitter<string>;
    reasons: DiariseReasonModel[];
    periodOptions: DiariseOptionModel[];
    displayedDate: Date;
    displayedTime: string;
    diariseReasonPropertyId: string;
    diariseReasonTextValue: string;
    diariseReasonPlaceHolder: string;
    diariseReasonOption: string;
    showDiariseTime: boolean;
    showDiariseButton: boolean;
    showDiariseReasonDropdown: boolean;
    showDiariseReasonText: boolean;
    diariseDate: Date;
    diarisePeriod: DiariseOptionModel;
    constructor(locale: string);
    ngOnInit(): void;
    onDiarisePeriodOptionClick(diarisePeriodOption: DiariseOptionModel): void;
    onDiariseReasonTextChange($event: any): void;
    onDiariseReasonChange($event: any): void;
    onDiariseButtonClick($event: DiariseWorkEvent): void;
    onDateChange($event: DiariseWorkEvent): void;
    onTimeChange($event: string): void;
}
