import { OnInit, ChangeDetectorRef } from '@angular/core';
import { BehaviorSubject } from 'rxjs';
import { WorkItemModel } from '../../models/work-item';
import { UIFieldSetModel, UIWorkFieldModel } from 'e5core-angular-services';
import { UiStyleService } from '../../services/ui-style.service';
export declare class E5coreUiWorkFieldSetComponent implements OnInit {
    style: UiStyleService;
    private cd;
    workItem$: BehaviorSubject<WorkItemModel>;
    fieldSetId: number;
    readonly: boolean;
    workItemModel: WorkItemModel;
    fieldSet: UIFieldSetModel;
    fields: UIWorkFieldModel[];
    constructor(style: UiStyleService, cd: ChangeDetectorRef);
    private updateFieldSetModel(fieldSetId);
    ngOnInit(): void;
}
