import { EventEmitter, OnInit } from '@angular/core';
import { WorkFieldInputChangeEvent } from '../../../events/work-field-input-change-event';
import { FormControl } from '@angular/forms';
import { E5coreUiWorkFieldTypeComponentBase } from '../../../components/e5core-ui-work-field/e5core-ui-work-field-type-component-base';
export declare class E5coreUiWorkFieldTypeInputBaseComponent extends E5coreUiWorkFieldTypeComponentBase implements OnInit {
    pattern: string;
    valueChange: EventEmitter<WorkFieldInputChangeEvent>;
    formControl: FormControl;
    ngOnInit(): void;
    protected getError(): string;
    readonly resolvedPattern: string;
    changeValue($event: string): void;
    blur($event: any): void;
}
