import { OnInit } from '@angular/core';
import { UIWorkFieldModel, UIPropertyModel } from 'e5core-angular-services';
import { BehaviorSubject } from 'rxjs';
import { WorkItemModel } from '../../models/work-item';
export declare abstract class E5coreUiWorkFieldTypeBase implements OnInit {
    workItem$: BehaviorSubject<WorkItemModel>;
    field: UIWorkFieldModel;
    property: UIPropertyModel;
    readonly: boolean;
    workItemModel: WorkItemModel;
    ngOnInit(): void;
    dispatchPropertyChange(propertyId: string, value: string, error?: string): void;
}
