import { UIWorkFieldModel, UIPropertyModel } from 'e5core-angular-services';
import { BehaviorSubject } from 'rxjs';
import { WorkItemModel } from '../../models/work-item';
import { FormControl } from '@angular/forms';
export declare class E5coreUiWorkFieldTypeComponentBase {
    workItem$: BehaviorSubject<WorkItemModel>;
    field: UIWorkFieldModel;
    property: UIPropertyModel;
    readonly: boolean;
    readonly propertyId: string;
    readonly label: string;
    readonly description: string;
    readonly placeholder: string;
    readonly isReadOnly: boolean;
    updatePropertyValueOnChange(formControl: FormControl): void;
}
