import { OnInit } from '@angular/core';
import { E5coreUiWorkHistoryBaseComponent } from './e5core-ui-work-history-base';
import { PageEvent, MatSort, MatPaginator } from '@angular/material';
import { HistoryOdataService } from '../../../services/history-odata.service';
import { OdataMatTableDataSource } from './odata-mat-table-data-source';
export declare class E5coreUiWorkHistoryMaterialComponent extends E5coreUiWorkHistoryBaseComponent implements OnInit {
    private history;
    displayedColumns: string[];
    dataSource: OdataMatTableDataSource;
    isLoading: boolean;
    length: number;
    pageSize: number;
    pageSizeOptions: number[];
    pageEvent: PageEvent;
    sort: MatSort;
    t: any;
    paginator: MatPaginator;
    constructor(history: HistoryOdataService);
    ngOnInit(): void;
    setPageSizeOptions(setPageSizeOptionsInput: string): void;
}
