import { DataSource } from "@angular/cdk/table";
import { BehaviorSubject } from "rxjs";
import { MatPaginator, MatSort } from "@angular/material";
import { HistoryOdataService } from "../../../services/history-odata.service";
import { WorkHistoryModel } from "../../../models/work-history.model";
export declare class OdataMatTableDataSource extends DataSource<WorkHistoryModel> {
    private workId;
    private historyService;
    protected subject$: BehaviorSubject<WorkHistoryModel[]>;
    private orderby;
    protected _paginator: MatPaginator;
    paginator: MatPaginator | null;
    protected _sort: MatSort;
    sort: MatSort | null;
    setWorkId(id: string): void;
    protected loading$: BehaviorSubject<boolean>;
    readonly loadingEvents: BehaviorSubject<boolean>;
    constructor(workId: string, historyService: HistoryOdataService);
    update(): void;
    connect(): BehaviorSubject<WorkHistoryModel[]>;
    disconnect(): void;
}
