import { OnInit, ChangeDetectorRef } from '@angular/core';
import { WorkItemModel } from '../../models/work-item';
import { BehaviorSubject } from 'rxjs';
import { UIMenuModel } from 'e5core-angular-services';
import { UiStyleService } from '../../services/ui-style.service';
export declare class E5coreUiWorkMenuComponent implements OnInit {
    style: UiStyleService;
    private cd;
    workItem$: BehaviorSubject<WorkItemModel>;
    workItemModel: WorkItemModel;
    menuItems: UIMenuModel[];
    constructor(style: UiStyleService, cd: ChangeDetectorRef);
    ngOnInit(): void;
}
