import { OnInit, ChangeDetectorRef } from '@angular/core';
import { BehaviorSubject } from 'rxjs';
import { WorkItemModel } from '../../models/work-item';
import { UITabModel } from 'e5core-angular-services';
import { UiStyleService } from '../../services/ui-style.service';
export declare class E5coreUiWorkTabSetComponent implements OnInit {
    style: UiStyleService;
    private cd;
    workItem$: BehaviorSubject<WorkItemModel>;
    workItem: WorkItemModel;
    tabs: UITabModel[];
    constructor(style: UiStyleService, cd: ChangeDetectorRef);
    ngOnInit(): void;
    errorCount(fieldSetIds: string[]): number;
}
