import { OnInit, ChangeDetectorRef } from '@angular/core';
import { BehaviorSubject } from 'rxjs';
import { WorkItemModel } from '../../models/work-item';
import { UITabModel } from 'e5core-angular-services';
import { UiStyleService } from '../../services/ui-style.service';
export declare class E5coreUiWorkTabComponent implements OnInit {
    style: UiStyleService;
    private cd;
    workItem$: BehaviorSubject<WorkItemModel>;
    tabId: number;
    workItemModel: WorkItemModel;
    tab: UITabModel;
    fieldSetIds: number[];
    constructor(style: UiStyleService, cd: ChangeDetectorRef);
    private updateTabModel(tabId);
    ngOnInit(): void;
}
