import { DataSourceColumn } from "./data-source-column";
import { Observable } from "rxjs";
import { DataSourceResults } from "./data-source-results";
import { DataSourceOptions } from "./data-source-options";
export interface IDataSource {
    defaultOptions(): DataSourceOptions;
    setDefaultOptions(opions: DataSourceOptions): any;
    columns(): Observable<DataSourceColumn[]>;
    read(page: number, pagesize: number, options?: any): Observable<DataSourceResults>;
}
