import { UiStyle } from "../enums/ui-style";
import { UIPropertyModel, UIFieldSetModel, UISearchFieldModel } from "e5core-angular-services";
import { FieldSetModel } from "./field-set.model";
import { UISearchZoneModel } from "e5core-angular-services";
export declare class SearchFormModel implements FieldSetModel {
    ui: UiStyle;
    searchDefinitionId: number;
    name: string;
    pageSize: number;
    page: number;
    zones: UISearchZoneModel[];
    zoneTemplateId: string;
    searchFields: UISearchFieldModel[];
    fieldsets: UIFieldSetModel[];
    properties: UIPropertyModel[];
}
export declare function CreateBlankSearchForm(): SearchFormModel;
