import { E5ConfigurationService } from 'e5core-angular-services';
import { HttpClient } from '@angular/common/http';
import { BehaviorSubject } from 'rxjs';
import { WorkCasenotesFrameModel } from '../models/work-casenotes.model';
import { OdataOptions } from './odata-options';
export declare class CasenotesOdataService {
    private http;
    private config;
    constructor(http: HttpClient, config: E5ConfigurationService);
    getCasenotes(workId: string, page: number, pagesize: number, options?: OdataOptions): BehaviorSubject<WorkCasenotesFrameModel>;
}
