import { E5ConfigurationService } from 'e5core-angular-services';
import { HttpClient } from '@angular/common/http';
import { BehaviorSubject } from 'rxjs';
import { WorkHistoryFrameModel } from '../models/work-history.model';
import { OdataOptions } from './odata-options';
export declare class HistoryOdataService {
    private http;
    private config;
    constructor(http: HttpClient, config: E5ConfigurationService);
    getHistory(workId: string, page: number, pagesize: number, options?: OdataOptions): BehaviorSubject<WorkHistoryFrameModel>;
}
