import { DataSourceQuery } from "../datasource/data-source-query";
import { MonitorSlaSelectEvent } from "../events/monitor-sla-select-event";
import { MonitorSlaChangeEvent } from "../events/monitor-sla-change-event";
/**
 * This class is used to map an event comming out of the SLA monitor into a Query
 * that can be passed into e5core-search-results component.
 */
export declare class CreateSlaQuery {
    static fromMonitorSlaChangeEvent(event: MonitorSlaChangeEvent): DataSourceQuery;
    static fromMonitorSlaSelectEvent(event: MonitorSlaSelectEvent): DataSourceQuery;
}
