import { AfterViewInit, OnInit, EventEmitter } from "@angular/core";
import { ViewerBehaviourType } from "../../enums/viewer-behaviour-type";
import { E5coreUiEmailConversationViewerComponent } from "./component/e5core-ui-email-conversation-viewer.component";
import { ViewerDisplayEvent } from "../../events/viewer-display-event";
import { ViewerModel } from "../../models/viewer-model";
import { UiStyleService } from "../../services/ui-style.service";
export declare class E5coreUiConversationViewerComponent implements AfterViewInit, OnInit {
    style: UiStyleService;
    behaviourType: ViewerBehaviourType;
    popupWindowFeatures: string;
    readonly: boolean;
    viewerDisplayedEvent: EventEmitter<ViewerDisplayEvent>;
    emailConversationViewerComponent: E5coreUiEmailConversationViewerComponent;
    constructor(style: UiStyleService);
    ngOnInit(): void;
    ngAfterViewInit(): void;
    showViewer(viewerModel: ViewerModel): void;
    onViewerDisplayed(event: any): void;
}
