import { OnInit, EventEmitter } from '@angular/core';
import { TaxonomyAttachmentTypeModel, TaxonomyDocumentTemplateModel } from 'e5core-angular-services';
export declare class E5coreUiGenerateDocumentBaseComponent implements OnInit {
    attachmentTypes: TaxonomyAttachmentTypeModel[];
    documentTemplates: TaxonomyDocumentTemplateModel[];
    showGenerateButton: boolean;
    readonly: boolean;
    selectDocumentTemplateEvent: EventEmitter<{}>;
    selectAttachmentTypeEvent: EventEmitter<{}>;
    generateDocumentEvent: EventEmitter<{}>;
    _attachmentTypes: TaxonomyAttachmentTypeModel[];
    hasAttachments: boolean;
    constructor();
    ngOnInit(): void;
    onGenerateDocument(): void;
    onSelectDocumentTemplate(event: any): void;
    onSelectAttachmentType(event: any): void;
    readonly isReadOnly: boolean;
}
