import { OnInit, AfterViewInit } from "@angular/core";
import { ViewerModel } from "../../../models/viewer-model";
import { E5coreUiAttachmentViewerBaseComponent } from "./e5core-ui-attachment-viewer-base";
import { E5ConfigurationService, ConfigurationScopeService } from "e5core-angular-services";
export declare class E5coreUiE5AttachmentViewerComponent extends E5coreUiAttachmentViewerBaseComponent implements AfterViewInit, OnInit {
    e5ConfigurationService: E5ConfigurationService;
    configurationScopeService: ConfigurationScopeService;
    constructor(e5ConfigurationService: E5ConfigurationService, configurationScopeService: ConfigurationScopeService);
    ngOnInit(): void;
    ngAfterViewInit(): void;
    constructViewerUrl(viewerModel: ViewerModel, nextFunction: Function): void;
    raiseEvent(viewerModel: ViewerModel): void;
}
