import { DataSource } from "@angular/cdk/table";
import { BehaviorSubject } from "rxjs";
import { MatPaginator, MatSort } from "@angular/material";
import { AttachmentsOdataService } from "../../../services/attachments-odata.service";
import { WorkAttachmentsModel } from "../../../models/work-attachments.model";
export declare class OdataMatTableDataSource extends DataSource<WorkAttachmentsModel> {
    private workId;
    private workAttachmentsService;
    protected subject$: BehaviorSubject<WorkAttachmentsModel[]>;
    private orderby;
    protected _paginator: MatPaginator;
    paginator: MatPaginator | null;
    protected _sort: MatSort;
    sort: MatSort | null;
    setWorkId(id: string): void;
    protected loading$: BehaviorSubject<boolean>;
    readonly loadingEvents: BehaviorSubject<boolean>;
    constructor(workId: string, workAttachmentsService: AttachmentsOdataService);
    update(): void;
    connect(): BehaviorSubject<WorkAttachmentsModel[]>;
    disconnect(): void;
}
