import { DataSource } from "@angular/cdk/table";
import { BehaviorSubject } from "rxjs";
import { MatPaginator, MatSort } from "@angular/material";
import { CasenotesOdataService } from "../../../services/casenotes-odata.service";
import { WorkCasenotesModel } from "../../../models/work-casenotes.model";
export declare class OdataMatTableDataSource extends DataSource<WorkCasenotesModel> {
    private workId;
    private casenotesService;
    protected subject$: BehaviorSubject<WorkCasenotesModel[]>;
    private orderby;
    protected _paginator: MatPaginator;
    paginator: MatPaginator | null;
    protected _sort: MatSort;
    sort: MatSort | null;
    setWorkId(id: string): void;
    protected loading$: BehaviorSubject<boolean>;
    readonly loadingEvents: BehaviorSubject<boolean>;
    constructor(workId: string, casenotesService: CasenotesOdataService);
    update(): void;
    connect(): BehaviorSubject<WorkCasenotesModel[]>;
    disconnect(): void;
}
