import { OnInit } from '@angular/core';
import { BehaviorSubject } from 'rxjs';
import { E5ConfigurationService } from 'e5core-angular-services';
import { WorkItemModel } from '../../models/work-item';
import { UiStyleService } from '../../services/ui-style.service';
export declare class E5coreUiWorkCasenotesComponent implements OnInit {
    style: UiStyleService;
    private configuration;
    workItem$: BehaviorSubject<WorkItemModel>;
    readonly: boolean;
    pagesizes: number[];
    workId: string;
    constructor(style: UiStyleService, configuration: E5ConfigurationService);
    ngOnInit(): void;
    private updateData();
}
