import { EventEmitter, OnInit } from '@angular/core';
import { WorkFieldInputChangeEvent } from '../../../events/work-field-input-change-event';
import { FormControl } from '@angular/forms';
import { E5coreUiWorkFieldTypeComponentBase } from '../../../components/e5core-ui-work-field/e5core-ui-work-field-type-component-base';
import { CurrencyPipe } from '@angular/common';
export declare class E5coreUiWorkFieldTypeCurrencyBaseComponent extends E5coreUiWorkFieldTypeComponentBase implements OnInit {
    private cp;
    pattern: string;
    valueChange: EventEmitter<WorkFieldInputChangeEvent>;
    formControl: FormControl;
    currencyValue: number;
    constructor(cp: CurrencyPipe);
    ngOnInit(): void;
    protected getError(): string;
    readonly resolvedPattern: string;
    changeValue($event: string): void;
    blur($event: any): void;
    private formatToCurrency();
}
