import { OnInit } from '@angular/core';
import { WorkItemModel } from '../../models/work-item';
import { BehaviorSubject } from 'rxjs';
import { UIWorkFieldModel, UIPropertyModel } from 'e5core-angular-services';
import { UiStyleService } from '../../services/ui-style.service';
export declare class E5coreUiWorkFieldComponent implements OnInit {
    style: UiStyleService;
    workItem$: BehaviorSubject<WorkItemModel>;
    fieldSetId: number;
    propertyId: string;
    readonly: boolean;
    workItemModel: WorkItemModel;
    field: UIWorkFieldModel;
    property: UIPropertyModel;
    constructor(style: UiStyleService);
    ngOnInit(): void;
}
