import { OnInit, EventEmitter } from '@angular/core';
import { BehaviorSubject } from 'rxjs';
import { WorkItemModel } from '../../../models/work-item';
import { WorkMenuEvent } from '../../../events/work-menu-event';
import { UIMenuModel } from 'e5core-angular-services';
export declare class E5coreUiWorkMenuItemBoxComponent implements OnInit {
    workItem$: BehaviorSubject<WorkItemModel>;
    menuItem: UIMenuModel;
    clickEvent: EventEmitter<WorkMenuEvent>;
    constructor();
    ngOnInit(): void;
    onClick($event: any, menuCode: any): void;
}
