import { OnInit } from '@angular/core';
import { BehaviorSubject } from 'rxjs';
import { WorkItemModel } from '../../models/work-item';
import { WorkMenuEvent } from '../../events/work-menu-event';
import { UIMenuModel } from 'e5core-angular-services';
import { UiStyleService } from '../../services/ui-style.service';
export declare class E5coreUiWorkMenuItemComponent implements OnInit {
    style: UiStyleService;
    workItem$: BehaviorSubject<WorkItemModel>;
    menuItem: UIMenuModel;
    workItemModel: WorkItemModel;
    constructor(style: UiStyleService);
    ngOnInit(): void;
    onClick($event: WorkMenuEvent): void;
}
