import { OnInit, EventEmitter } from '@angular/core';
import { TreeTableDataModel } from '../../../models/prime-tree-table.model';
import { OpenWorkEvent } from '../../../events/open-work-event';
import { ViewerDisplayEvent } from '../../../events/viewer-display-event';
import { CategorizationChangeEvent } from '../../../events/categorization-change-event';
import { WorkClassChildrenModel } from 'e5core-angular-services';
export declare class E5coreUiWorkRelatedItemsBaseComponent implements OnInit {
    treeData: any;
    length: number;
    labels: string[];
    pagesizes: number[];
    readonly: boolean;
    childWorkItemCategories: WorkClassChildrenModel[];
    createButtonText: string;
    showCreateChildButton: boolean;
    showDefinedChildrenOnly: boolean;
    workItemSelectEvent: EventEmitter<OpenWorkEvent>;
    pageEvent: EventEmitter<{}>;
    attachmentSelectEvent: EventEmitter<ViewerDisplayEvent>;
    categorisationChangeEvent: EventEmitter<CategorizationChangeEvent>;
    createChildWorkItemEvent: EventEmitter<{}>;
    constructor();
    ngOnInit(): void;
    onWorkItemSelect(treeTableDataModel: TreeTableDataModel): void;
    onAttachmentSelect(treeTableDataModel: TreeTableDataModel): void;
    createChildWorkItem(): void;
    onCategorizationChange($event: CategorizationChangeEvent): void;
    selectChildCategory($event: any): void;
    onPageEvent(event: any): void;
}
