export declare enum QueryOperation {
    Equal = "eq",
    NotEqual = "ne",
    LessThan = "lt",
    LessThanOrEqual = "lte",
    GreaterThan = "gt",
    GreaterThanOrEqual = "gte",
    Contains = "contains",
}
export declare enum QueryBooleanOperation {
    And = "and",
    Or = "or",
    Not = "not",
}
export declare class QueryExpression {
    Field: string;
    Operator?: QueryOperation;
    Value: string;
}
export declare class DataSourceQuery {
    Expressions: QueryExpression[];
    BooleanOperator?: QueryBooleanOperation;
    SubExpressions?: DataSourceQuery[];
    Custom?: any;
}
