import { UIWorkItemModel } from 'e5core-angular-services';
import { FieldSetModel } from './field-set.model';
/**
 * This class implements a

     UIWorkItemModel {
        fieldsets: UIFieldSetModel[] | undefined ;
        menus: UIMenuModel[] | undefined ;
        properties: UIPropertyModel[] | undefined ;
        tabs: UITabModel[] | undefined ;
        workId: string | undefined
    }
 */
export declare class WorkItemModel extends UIWorkItemModel implements FieldSetModel {
    constructor();
}
/**
 * DEPRECATED, use FieldValue
 * @param model
 * @param propertyId
 * @param defaultValue
 */
export declare function PropertyValue(model: WorkItemModel, propertyId: string, defaultValue?: string): string;
export declare function FieldValue(model: WorkItemModel, fieldId: string, defaultValue?: string): string;
/**
 * DEPRECATED, use ResolvedFieldValue
 * @param model
 * @param propertyId
 * @param defaultValue
 */
export declare function ResolvedPropertyValue(model: WorkItemModel, propertyId: string, defaultValue?: string): string;
export declare function ResolvedFieldValue(model: WorkItemModel, fieldId: string, defaultValue?: string): string;
export declare function CreateBlankWorkItem(): WorkItemModel;
