import { E5ConfigurationService } from 'e5core-angular-services';
import { HttpClient } from '@angular/common/http';
import { BehaviorSubject } from 'rxjs';
import { WorkAttachmentsFrameModel } from '../models/work-attachments.model';
import { OdataOptions } from './odata-options';
export declare class AttachmentsOdataService {
    private http;
    private config;
    constructor(http: HttpClient, config: E5ConfigurationService);
    getWorkAttachments(workId: string, page: number, pagesize: number, options?: OdataOptions): BehaviorSubject<WorkAttachmentsFrameModel>;
}
