import { WorkItemModel } from '../models/work-item';
import { Observable, BehaviorSubject } from 'rxjs';
export interface IWorkDelivery {
    getNextWorkItem(workItem$: BehaviorSubject<WorkItemModel>, lock?: boolean): Observable<WorkItemModel>;
    getWorkItem(workId: string, workItem$: BehaviorSubject<WorkItemModel>, lock?: boolean): Observable<WorkItemModel>;
}
