import { IWorkDelivery } from './work-delivery';
import { Observable, BehaviorSubject } from 'rxjs';
import { WorkItemModel } from '../models/work-item';
import { WorkGetNextService } from 'e5core-angular-services';
import { UiWorkItemService } from 'e5core-angular-services';
/**
 * This service is used to provide work into the work item Subject/
 */
export declare class WorkDeliveryService implements IWorkDelivery {
    private getNextService;
    private uiWorkItemService;
    constructor(getNextService: WorkGetNextService, uiWorkItemService: UiWorkItemService);
    getNextWorkItem(workItem$: BehaviorSubject<WorkItemModel>, lock?: boolean): Observable<WorkItemModel>;
    getWorkItem(workId: string, workItem$: BehaviorSubject<WorkItemModel>, lock?: boolean): Observable<WorkItemModel>;
}
